API ReferenceOrders
Orders Notes List
Retrieve a list of all order notes in an existing order.
Authorization
oauth2 orders:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: orders:read
Path Parameters
number*string
Query Parameters
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*string
Default
"2024-04-01"Value in
"2024-04-01"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/orders/string/notes/" \
-H "X-29next-API-Version: 2024-04-01" \
-H "Authorization: Bearer "{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"app": {
"client_id": "string",
"name": "string"
},
"author": {
"email": "user@example.com",
"first_name": "string",
"id": 0,
"last_name": "string"
},
"date_created": "2019-08-24T14:15:22Z",
"date_updated": "2019-08-24T14:15:22Z",
"id": 0,
"message": "string"
}
]
}